.NET Coreのシステム要件

.NET Coreエージェントをインストールする前に、以下の要件を満たしていることを確認してください。

  • Webサーバへの管理者権限があり、そのサーバはContrastのサポート対象であること。

  • 検査対象のアプリケーションがデプロイされており、そのWebアプリケーションのテクノロジはContrastのサポート対象であること。

  • WebサーバがContrastとネットワークで接続されていること。

  • サーバが最低限の要件(以下に記載)を満たしていること。

要件

推奨

最小

備考

.NET Coreのバージョン

2.1, 3.0, 3.1

2.1, 3.0, 3.1

CPU

4個以上

2

メモリ

8 GB以上

4 GB

Assessでエージェントを実行するには、検査対象のアプリケーションのメモリ要件がおよそ2倍になります。エージェントがインストールされていない場合に、アプリケーションが使用するメモリは全メモリ容量の半分以下である必要があります。